import 'package:firebase_auth/firebase_auth.dart';
import 'package:bmi_global/utils/parsers.dart';

abstract class AuthUser {
  final User user;
  final bool isDev;

  AuthUser(this.user, Map<String, Object?> claims)
      : isDev = RawObj(claims["isDev"]).toBool();

  String get phoneNumber => user.phoneNumber!;
}
